# Copyright 2021 Variscite LTD
# SPDX-License-Identifier: BSD-3-Clause

import cv2

INF_TIME_MSG = "INFERENCE TIME"
TITLE = "CLASSIFICATION"
FPS_MSG = "FPS"

FONT = {'hershey': cv2.FONT_HERSHEY_SIMPLEX,
        'size': 0.8,
        'color': {'black': (0, 0, 0),
                  'blue': (255, 0, 0),
                  'green': (0, 255, 0),
                  'orange': (0, 127, 255),
                  'red': (0, 0, 255),
                  'white': (255, 255, 255)},
        'thickness': 2}


# HTTPS Credentials
HTTPS_HOST = "https://variscite-public.nyc3.cdn.digitaloceanspaces.com"

# Extensions
TFLITE = "*.tflite"
TXT = "*.txt"
ZIP = ".zip"
JPG = "*.jpg"
PNG = "*.png"
MP4 = "*.mp4"

# Default Packages from HTTPS server
DEFAULT_PACKAGES = {'classification'      : ["machine_learning_data/classification", "mobilenet_v1_1.0_224_quant.zip"],
                    'classification_93'   : ["machine_learning_data/classification", "mobilenet_v1_1.0_224_quant_vela.zip"],
                    'detection'           : ["machine_learning_data/detection",      "ssd_mobilenet_v1_1_default_1.zip"],
                    'segmentation'        : ["machine_learning_data/segmentation",   "deeplabv3_mnv2_pascal_quant.zip"]}
